# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.provider "virtualbox" do |vbox|
    vbox.memory = 1024
  end

  config.vm.define "ansible" do |ansible|
    ansible.vm.box = "ubuntu/bionic64"

    ansible.vm.hostname = "ansible"

    ansible.vm.network "private_network",
      bridge: ["enp1s0: Realtek PCIe FE Family Controller"],
      ip: "192.168.0.56"

    ansible.vm.synced_folder "ansible", "/usr/local/share/ansible"

    ansible.vm.provision "shell",
      inline: "cp /usr/local/share/ansible/ansible_rsa  /home/vagrant/.ssh && \
              chmod 600 /home/vagrant/.ssh/ansible_rsa && \
              chown vagrant:vagrant /home/vagrant/.ssh/ansible_rsa"

    ansible.vm.provision "shell",
    inline: "apt-get update && \
               apt-get install -y software-properties-common && \
               apt-add-repository --yes --update ppa:ansible/ansible && \
               apt-get install -y ansible"

    ansible.vm.provision "shell",
    inline: "ansible-playbook -i /usr/local/share/ansible/config/hosts \
                  /usr/local/share/ansible/playbooks/test.yml"
  end

  config.vm.define "ansible_slave" do |ansible_slave|
    ansible_slave.vm.box = "centos/7"

    ansible_slave.vm.hostname = "ansible-slave"

    ansible_slave.vm.network "private_network",
      bridge: ["enp1s0: Realtek PCIe FE Family Controller"],
      ip: "192.168.0.57"

    ansible_slave.vm.synced_folder "ansible", "/usr/local/share/ansible"

    ansible_slave.vm.provision "shell",
      inline: "cat /usr/local/share/ansible/ansible_rsa.pub \
    | tee -a ~/.ssh/authorized_keys"

    ansible_slave.vm.provision "shell",
      inline: "yum -y install python36"
  end
end
